<?php

use Elementor\Widget_Base;
use Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use Elementor\Utils;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly


class Auntri_Elementor_Ova_Icon_Box extends Widget_Base {

	
	public function get_name() {
		return 'auntri_elementor_ova_icon_box';
	}

	
	public function get_title() {
		return esc_html__( 'Ova Icon Box', 'auntri' );
	}

	
	public function get_icon() {
		return 'eicon-icon-box';
	}

	
	public function get_categories() {
		return [ 'auntri' ];
	}

	public function get_script_depends() {
		return [ '' ];
	}
	
	// Add Your Controll In This Function
	protected function register_controls() {

		$this->start_controls_section(
			'section_content',
			[
				'label' => esc_html__( 'Content', 'auntri' ),
			]
		);	

			// Add Class control
			$this->add_control(
				'template',
				[
					'label' => esc_html__( 'Template', 'auntri' ),
					'type' => Controls_Manager::SELECT,
					'default' => 'template1',
					'options' => [
						'template1' => esc_html__('Template 1', 'auntri'),
						'template2' => esc_html__('Template 2', 'auntri'),
						'template3' => esc_html__('Template 3', 'auntri'),
						'template4' => esc_html__('Template 4', 'auntri'),
						'template5' => esc_html__('Template 5', 'auntri'),
						'template6' => esc_html__('Template 6', 'auntri'),
					]
				]
			);
			
			$this->add_control(
				'icon_box_active',
				[
					'label'   => esc_html__( 'Active Mode', 'auntri' ),
					'type'    => Controls_Manager::SWITCHER,
					'default' => 'no',
					'options' => [
						'yes' => esc_html__( 'Yes', 'auntri' ),
						'no'  => esc_html__( 'No', 'auntri' ),
					],
					'condition' => [
						'template' => 'template2'
					]
				]
			);

			$this->add_control(
				'icon',
				[
					'label' 	=> esc_html__( 'Icon', 'auntri' ),
					'type' 		=> Controls_Manager::ICONS,
					'default' 	=> [
						'value' 	=> 'flaticon flaticon-factory-2',
						'library' 	=> 'flaticon',
					],
					'condition' => [
						'template!' => ['template6','template5']
					]
				]
			);

			$this->add_control(
				'icon_v6',
				[
					'label' 	=> esc_html__( 'Icon', 'auntri' ),
					'type' 		=> Controls_Manager::ICONS,
					'default' 	=> [
						'value' 	=> 'flaticon flaticon-industrial',
						'library' 	=> 'flaticon',
					],
					'condition' => [
						'template' => 'template6'
					]
				]
			);

			$this->add_control(
				'text_number',
				[
					'label' 	=> esc_html__( 'Text Number', 'auntri' ),
					'type' 		=> Controls_Manager::TEXT,
					'default' 	=> '01',
					'condition' => [
						'template' => ['template1','template3','template5']
					]
				]
			);
				
			$this->add_control(
				'title',
				[
					'label' 	=> esc_html__( 'Title', 'auntri' ),
					'type' 		=> Controls_Manager::TEXT,
					'default' 	=> esc_html__( 'Solution', 'auntri' ),
					'condition' => [
						'template' => ['template1']
					]
				]
			);

			$this->add_control(
				'title_v2',
				[
					'label' 	=> esc_html__( 'Title', 'auntri' ),
					'type' 		=> Controls_Manager::TEXT,
					'default' 	=> esc_html__( 'Build Industry', 'auntri' ),
					'condition' => [
						'template' => ['template2']
					]
				]
			);

			$this->add_control(
				'title_v3',
				[
					'label' 	=> esc_html__( 'Title', 'auntri' ),
					'type' 		=> Controls_Manager::TEXT,
					'default' 	=> esc_html__( 'Consult Now', 'auntri' ),
					'condition' => [
						'template' => 'template3'
					]
				]
			);

			$this->add_control(
				'title_v4',
				[
					'label'	 	=> esc_html__( 'Title', 'auntri' ),
					'type' 		=> Controls_Manager::TEXT,
					'default' 	=> esc_html__( 'Integrity', 'auntri' ),
					'condition' => [
						'template' => 'template4'
					]
				]
			);

			$this->add_control(
				'title_v5',
				[
					'label' 	=> esc_html__( 'Title', 'auntri' ),
					'type' 		=> Controls_Manager::TEXT,
					'default' 	=> esc_html__( 'Medical & Health Equipments', 'auntri' ),
					'condition' => [
						'template' => 'template5'
					]
				]
			);

			$this->add_control(
				'title_v6',
				[
					'label' 	=> esc_html__( 'Title', 'auntri' ),
					'type' 		=> Controls_Manager::TEXT,
					'default' 	=> esc_html__( 'Innovation in industry', 'auntri' ),
					'condition' => [
						'template' => 'template6'
					]
				]
			);

			$this->add_control(
				'link',
				[
					'label' 	=> esc_html__( 'Link', 'auntri' ),
					'type' 		=> Controls_Manager::URL,
					'dynamic' 	=> [
						'active' => true,
					],
					'placeholder' => esc_html__( 'https://your-link.com', 'auntri' ),
					'show_label' => true,
				]
			);

			$this->add_control(
				'description',
				[
					'label' 	=> esc_html__( 'Description', 'auntri' ),
					'type' 		=> Controls_Manager::TEXTAREA,
					'default' 	=> esc_html__( 'Lorem ipsum is free text', 'auntri' ),
					'condition' => [
						'template' => 'template1'
					],
				]
			);

			$this->add_control(
				'description_v2',
				[
					'label' 	=> esc_html__( 'Description', 'auntri' ),
					'type' 		=> Controls_Manager::TEXTAREA,
					'default' 	=> esc_html__( 'Lorem ipsum is simply free text dolor sit amet, consectetuer adipiscing elit.', 'auntri' ),
					'condition' => [
						'template' => 'template2'
					],
				]
			);

			$this->add_control(
				'description_v3',
				[
					'label' 	=> esc_html__( 'Description', 'auntri' ),
					'type' 		=> Controls_Manager::TEXTAREA,
					'default' 	=> esc_html__( 'Lorem ipsum dolor sit amet elit, sed do eiusmod tempor incididunt ut labore et magna aliqua.', 'auntri' ),
					'condition' => [
						'template' => 'template3'
					],
				]
			);

			$this->add_control(
				'description_v4',
				[
					'label' 	=> esc_html__( 'Description', 'auntri' ),
					'type' 		=> Controls_Manager::TEXTAREA,
					'default' 	=> esc_html__( 'Taking seamless key performance indicators offline to maximise the tail.', 'auntri' ),
					'condition' => [
						'template' => 'template4'
					],
				]
			);

			$this->add_control(
				'description_v5',
				[
					'label' 	=> esc_html__( 'Description', 'auntri' ),
					'type' 		=> Controls_Manager::TEXTAREA,
					'default' 	=> esc_html__( 'When an unknown printer took a galley type book.', 'auntri' ),
					'condition' => [
						'template' => 'template5'
					],
				]
			);

			$this->add_control(
				'description_v6',
				[
					'label' 	=> esc_html__( 'Description', 'auntri' ),
					'type' 		=> Controls_Manager::TEXTAREA,
					'default' 	=> esc_html__( 'Benefit 01', 'auntri' ),
					'condition' => [
						'template' => 'template6'
					],
				]
			);

			$this->add_control(
			  	'text_button',
			  	[
				  	'label' 	=> esc_html__( 'Text Button', 'auntri' ),
				  	'type' 		=> Controls_Manager::TEXT,
				  	'default' 	=> esc_html__('Discover more', 'auntri'),
				  	'condition' => [
				  		'template' => 'template2', 
				  	],
			  	]
		  	);

		  	$this->add_control(
			  	'text_button_v3',
			  	[
				  	'label' 	=> esc_html__( 'Text Button', 'auntri' ),
				  	'type' 		=> Controls_Manager::TEXT,
				  	'default' 	=> esc_html__('Learn More', 'auntri'),
				  	'condition' => [
				  		'template' => 'template3', 
				  	],
			  	]
		  	);

			$this->add_responsive_control(
				'align',
				[
					'label' 	=> esc_html__( 'Alignment', 'auntri' ),
					'type' 		=> Controls_Manager::CHOOSE,
					'options' 	=> [
						'left' 	=> [
							'title' => esc_html__( 'Left', 'auntri' ),
							'icon' 	=> 'eicon-text-align-left',
						],
						'center' => [
							'title' => esc_html__( 'Center', 'auntri' ),
							'icon' 	=> 'eicon-text-align-center',
						],
						'right' => [
							'title' => esc_html__( 'Right', 'auntri' ),
							'icon' 	=> 'eicon-text-align-right',
						],
					],
					'selectors' => [
						'{{WRAPPER}} .ova-icon-box' => 'text-align: {{VALUE}};',
					],
				]
			);

			$this->add_control(
				'background_image_box',
				[
					'label'   	=> esc_html__( 'Box Background Image', 'auntri' ),
					'type'    	=> \Elementor\Controls_Manager::MEDIA,
					'condition' => [
						'template' => [
							'template2',
						]
					],
					'separator' => 'before'
				]
			);

		$this->end_controls_section();

		/* Begin icon Style */
		$this->start_controls_section(
            'icon_style',
            [
                'label' => esc_html__( 'Icon', 'auntri' ),
                'tab' 	=> Controls_Manager::TAB_STYLE,
            ]
        );
            
			$this->add_responsive_control(
				'size_icon',
				[
					'label' 		=> esc_html__( 'Size', 'auntri' ),
					'type' 			=> Controls_Manager::SLIDER,
					'size_units' 	=> [ 'px'],
					'range' => [
						'px' => [
							'min'  => 0,
							'max'  => 100,
							'step' => 1,
						],
					],
					'selectors' => [
						'{{WRAPPER}} .ova-icon-box .icon i' => 'font-size: {{SIZE}}{{UNIT}};',
						'{{WRAPPER}} .ova-icon-box .icon svg' => 'width: {{SIZE}}{{UNIT}};height: {{SIZE}}{{UNIT}};',
					],
				]
			);

			$this->start_controls_tabs( 'tabs_icon_style' );
				
				$this->start_controls_tab(
		            'tab_icon_normal',
		            [
		                'label' => esc_html__( 'Normal', 'auntri' ),
		            ]
		        );
                     
                     $this->add_control(
						'icon_color',
						[
							'label' 	=> esc_html__( 'Color', 'auntri' ),
							'type' 		=> Controls_Manager::COLOR,
							'selectors' => [
								'{{WRAPPER}} .ova-icon-box .icon i' => 'color: {{VALUE}};',
								'{{WRAPPER}} .ova-icon-box .icon svg, {{WRAPPER}} .ova-icon-box .icon svg path' => 'fill : {{VALUE}};'
							],
						]
					);

					$this->add_control(
						'icon_bgcolor',
						[
							'label' 	=> esc_html__( 'Background Color', 'auntri' ),
							'type' 		=> Controls_Manager::COLOR,
							'selectors' => [
								'{{WRAPPER}} .ova-icon-box .icon' 								=> 'background-color: {{VALUE}};',
								'{{WRAPPER}} .ova-icon-box.ova-icon-box-template2 .box-icon-v2' => 'background-color: {{VALUE}};',
							],
						]
					);

					$this->add_control(
						'icon_bgcolor_secondary_v6',
						[
							'label' 	=> esc_html__( 'Background Secondary Color', 'auntri' ),
							'type' 		=> Controls_Manager::COLOR,
							'selectors' => [
								'{{WRAPPER}} .ova-icon-box.ova-icon-box-template6 .icon:after' => 'background-color: {{VALUE}};',
							],
							'condition' => [
								'template' => 'template6',
							],
						]
					);

					$this->add_responsive_control(
						'bg_secondary_width_v6',
						[
							'label' 		=> esc_html__( 'Background Secondary Width', 'auntri' ),
							'type' 			=> Controls_Manager::SLIDER,
							'size_units' 	=> [ 'px'],
							'range' => [
								'px' => [
									'min'  => 0,
									'max'  => 50,
									'step' => 1,
								],
							],
							'selectors' => [
								'{{WRAPPER}} .ova-icon-box.ova-icon-box-template6 .icon:after' => 'width: {{SIZE}}{{UNIT}};height: {{SIZE}}{{UNIT}};',
							],
							'condition' => [
								'template' => 'template6',
							],
						]
					);

					$this->add_responsive_control(
						'bg_secondary_left_v6',
						[
							'label' 		=> esc_html__( 'Background Secondary Left', 'auntri' ),
							'type' 			=> Controls_Manager::SLIDER,
							'size_units' 	=> [ 'px'],
							'range' => [
								'px' => [
									'min'  => 0,
									'max'  => 50,
									'step' => 1,
								],
							],
							'selectors' => [
								'{{WRAPPER}} .ova-icon-box.ova-icon-box-template6 .icon:after' => 'left: {{SIZE}}{{UNIT}};',
							],
							'condition' => [
								'template' => 'template6',
							],
						]
					);

					$this->add_responsive_control(
			            'icon_padding',
			            [
			                'label' 		=> esc_html__( 'Padding', 'auntri' ),
			                'type' 			=> Controls_Manager::DIMENSIONS,
			                'size_units' 	=> [ 'px', '%', 'em' ],
			                'selectors' 	=> [
			                    '{{WRAPPER}} .ova-icon-box .icon' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
			                ],
			            ]
			        );

			        $this->add_responsive_control(
			            'icon_margin',
			            [
			                'label' 		=> esc_html__( 'Margin', 'auntri' ),
			                'type' 			=> Controls_Manager::DIMENSIONS,
			                'size_units' 	=> [ 'px', '%', 'em' ],
			                'selectors' 	=> [
			                    '{{WRAPPER}} .ova-icon-box.ova-icon-box-template1 .icon-box' 	=> 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
			                    '{{WRAPPER}} .ova-icon-box.ova-icon-box-template4 .box-icon-v4' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
			                    '{{WRAPPER}} .ova-icon-box.ova-icon-box-template3 .icon' 		=> 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
			                    '{{WRAPPER}} .ova-icon-box.ova-icon-box-template2 .icon' 		=> 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
			                    '{{WRAPPER}} .ova-icon-box.ova-icon-box-template6 .icon' 		=> 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
			                ],
			            ]
			        );

		        $this->end_controls_tab();

		        $this->start_controls_tab(
		            'tab_icon_hover',
		            [
		                'label' => esc_html__( 'Hover', 'auntri' ),
		            ]
		        );

		             $this->add_control(
						'icon_color_hover',
						[
							'label' 	=> esc_html__( 'Color Hover', 'auntri' ),
							'type' 		=> Controls_Manager::COLOR,
							'selectors' => [
								'{{WRAPPER}} .ova-icon-box:hover .icon i' => 'color: {{VALUE}};',
								'{{WRAPPER}} .ova-icon-box:hover .icon svg, {{WRAPPER}} .ova-icon-box:hover .icon svg path' => 'fill : {{VALUE}};'
							],
						]
					);

					$this->add_control(
						'icon_bgcolor_hover',
						[
							'label' 	=> esc_html__( 'Background Color Hover', 'auntri' ),
							'type' 		=> Controls_Manager::COLOR,
							'selectors' => [
								'{{WRAPPER}} .ova-icon-box:hover .icon, {{WRAPPER}} .ova-icon-box-active:hover .icon' 	=> 'background-color: {{VALUE}};',
								'{{WRAPPER}} .ova-icon-box.ova-icon-box-template2:hover .box-icon-v2' 					=> 'background-color: {{VALUE}};',
							],
						]
					);

		        $this->end_controls_tab();

		    $this->end_controls_tabs();

	        $this->add_responsive_control(
	            'icon_border_radius',
	            [
	                'label' 		=> esc_html__( 'Border Radius', 'auntri' ),
	                'type' 			=> Controls_Manager::DIMENSIONS,
	                'size_units' 	=> [ 'px', '%', 'em' ],
	                'selectors' 	=> [
	                    '{{WRAPPER}} .ova-icon-box .icon' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
	                ],
	                'condition' 	=>[

	                	'template!' =>'template2'
	                ],
	            ]
	        );

	        $this->add_group_control(
				\Elementor\Group_Control_Border::get_type(),
				[
					'name' 		=> '_template_4_border_icon',
					'label'  	=> esc_html__( 'Border', 'auntri' ),
					'selector'  => '{{WRAPPER}} .ova-icon-box.ova-icon-box-template4 .box-icon-v4',
					'condition' => [
	                	'template' => 'template4',
	                ]
				]
			);

        $this->end_controls_section();
		/* End icon style */

		/* Begin text number Style */
		$this->start_controls_section(
            'text_number_style',
            [
                'label' 	=> esc_html__( 'Text Number', 'auntri' ),
                'tab' 		=> Controls_Manager::TAB_STYLE,
                'condition' => [
                	'template' => [
                		'template1','template3','template5'
                	]
                ]
            ]
        );

            $this->add_group_control(
				Group_Control_Typography::get_type(),
				[
					'name' 		=> 'text_number_typography',
					'selector' 	=> '{{WRAPPER}} .ova-icon-box .text-number',
				]
			);

			$this->add_control(
				'text_number_color',
				[
					'label' 	=> esc_html__( 'Color', 'auntri' ),
					'type' 		=> Controls_Manager::COLOR,
					'selectors' => [
						'{{WRAPPER}} .ova-icon-box .text-number' => 'color: {{VALUE}};',
					],
				]
			);

			$this->add_control(
				'text_number_background_color',
				[
					'label' 	=> esc_html__( 'Background', 'auntri' ),
					'type' 		=> Controls_Manager::COLOR,
					'selectors' => [
						'{{WRAPPER}} .ova-icon-box.ova-icon-box-template3 .icon .text-number' => 'background-color: {{VALUE}};',
					],
					'condition' => [
	                	'template' => 'template3',
	                ]
				]
			);

			$this->add_control(
				'text_number_color_hover',
				[
					'label' 	=> esc_html__( 'Color Hover', 'auntri' ),
					'type' 		=> Controls_Manager::COLOR,
					'selectors' => [
						'{{WRAPPER}} .ova-icon-box.ova-icon-box-template1:hover .text-number' => 'color: {{VALUE}};',
					],
					'condition' => [
	                	'template' => 'template1',
	                ]

				]
			);

			$this->add_responsive_control(
	            'text_number_padding',
	            [
	                'label' 		=> esc_html__( 'Padding', 'auntri' ),
	                'type' 			=> Controls_Manager::DIMENSIONS,
	                'size_units' 	=> [ 'px', '%', 'em' ],
	                'selectors' 	=> [
	                    '{{WRAPPER}} .ova-icon-box.ova-icon-box-template3 .icon .text-number' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
	                ],
	                'condition' => [
	                	'template' => 'template3',
	                ]
	            ]
	        );

        $this->end_controls_section();
		/* End text number style */

		/* Begin title Style */
		$this->start_controls_section(
            'title_style',
            [
                'label' => esc_html__( 'Title', 'auntri' ),
                'tab' 	=> Controls_Manager::TAB_STYLE,
            ]
        );

            $this->add_group_control(
				Group_Control_Typography::get_type(),
				[
					'name' 		=> 'title_typography',
					'selector' 	=> '{{WRAPPER}} .ova-icon-box .title',
				]
			);

			$this->add_control(
				'title_color',
				[
					'label' 	=> esc_html__( 'Color', 'auntri' ),
					'type' 		=> Controls_Manager::COLOR,
					'selectors' => [
						'{{WRAPPER}} .ova-icon-box .title' => 'color: {{VALUE}};',
					],
				]
			);

			$this->add_control(
				'title_color_hover',
				[
					'label' 	=> esc_html__( 'Color Hover', 'auntri' ),
					'type' 		=> Controls_Manager::COLOR,
					'selectors' => [
						'{{WRAPPER}} .ova-icon-box:hover .title, {{WRAPPER}} .ova-icon-box-active .title' => 'color: {{VALUE}};',
					],
				]
			);

			$this->add_responsive_control(
	            'title_margin',
	            [
	                'label' 		=> esc_html__( 'Margin', 'auntri' ),
	                'type' 			=> Controls_Manager::DIMENSIONS,
	                'size_units' 	=> [ 'px', '%', 'em' ],
	                'selectors' 	=> [
	                    '{{WRAPPER}} .ova-icon-box .title' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
	                ],
	            ]
	        );

        $this->end_controls_section();
		/* End title style */

		/* Begin description Style */
		$this->start_controls_section(
            'description_style',
            [
                'label' => esc_html__( 'Description', 'auntri' ),
                'tab' 	=> Controls_Manager::TAB_STYLE,
            ]
        );

            $this->add_group_control(
				Group_Control_Typography::get_type(),
				[
					'name' 		=> 'description_typography',
					'selector' 	=> '{{WRAPPER}} .ova-icon-box .description',
				]
			);

			$this->add_control(
				'description_color',
				[
					'label' 	=> esc_html__( 'Color', 'auntri' ),
					'type' 		=> Controls_Manager::COLOR,
					'selectors' => [
						'{{WRAPPER}} .ova-icon-box .description' => 'color: {{VALUE}};',
					],
				]
			);

			$this->add_control(
				'description_color_hover',
				[
					'label' 	=> esc_html__( 'Color Hover', 'auntri' ),
					'type' 		=> Controls_Manager::COLOR,
					'selectors' => [
						'{{WRAPPER}} .ova-icon-box:hover .description, {{WRAPPER}} .ova-icon-box-active .description' => 'color: {{VALUE}};',
					],
				]
			);

			$this->add_responsive_control(
	            'description_margin',
	            [
	                'label' 		=> esc_html__( 'Margin', 'auntri' ),
	                'type' 			=> Controls_Manager::DIMENSIONS,
	                'size_units' 	=> [ 'px', '%', 'em' ],
	                'selectors' 	=> [
	                    '{{WRAPPER}} .ova-icon-box .description' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
	                ],
	            ]
	        );

        $this->end_controls_section();
		/* End description style */

		//SECTION TAB STYLE BUTTON
		$this->start_controls_section(
			'section_readmore',
			[
				'label' 		=> esc_html__( 'Button', 'auntri' ),
				'tab' 			=> \Elementor\Controls_Manager::TAB_STYLE,
				'condition' 	=> [
					'template' => [ 'template2', 'template3' ]
				],
			]
		);
  
			$this->add_group_control(
				\Elementor\Group_Control_Typography::get_type(),
				[
					'name' 	 	=> 'readmore_typography',
					'selector' 	=> '{{WRAPPER}} .ova-icon-box .btn-readmore',
				]
			);

			$this->add_control(
				'color_readmore',
				[
					'label' 	=> esc_html__( 'Color', 'auntri' ),
					'type' 		=> \Elementor\Controls_Manager::COLOR,
					'selectors' => [
						'{{WRAPPER}} .ova-icon-box .btn-readmore' => 'color : {{VALUE}};',
					],
				]
			);

			$this->add_control(
				'color_readmore_hover',
				[
					'label' 	=> esc_html__( 'Color Hover', 'auntri' ),
					'type' 		=> \Elementor\Controls_Manager::COLOR,
					'selectors' => [
						'{{WRAPPER}} .ova-icon-box .btn-readmore:hover' => 'color : {{VALUE}};',
					],
				]
			);

			$this->add_control(
			  'background_button',
			  [
				  'label' 		=> esc_html__( 'Background', 'auntri' ),
				  'type' 		=> \Elementor\Controls_Manager::COLOR,
				  'selectors' 	=> [
					  '{{WRAPPER}} .ova-icon-box .btn-readmore' => 'background-color : {{VALUE}};',
				  ],
			  ]
			);

			$this->add_control(
				'background__button_hover',
				[
					'label' 	=> esc_html__( 'Background Hover', 'auntri' ),
					'type' 		=> \Elementor\Controls_Manager::COLOR,
					'selectors' => [
						'{{WRAPPER}} .ova-icon-box .btn-readmore:before' => 'background-color : {{VALUE}};',
					],
				]
			);
	  
			$this->add_responsive_control(
				'padding_readmore',
				[
					  	'label' 		=> esc_html__( 'Padding', 'auntri' ),
					  	'type' 			=> \Elementor\Controls_Manager::DIMENSIONS,
					  	'size_units' 	=> [ 'px', 'em', '%' ],
					  	'selectors' 	=> [
							'{{WRAPPER}} .ova-icon-box .btn-readmore' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
				]
			);
  
		$this->end_controls_section();
		//END SECTION TAB STYLE BUTTON

		/* Begin Icon Box Line V5 Style */
		$this->start_controls_section(
            'icon_box_line_v5_style',
            [
                'label' => esc_html__( 'Line Bottom', 'auntri' ),
                'tab' 	=> Controls_Manager::TAB_STYLE,
                'condition' => [
				  	'template' => 'template5',
				  ]
            ]
        );
        	$this->add_control(
				'background_line_bot_v5_',
			  	[
				   	'label' 		=> esc_html__( 'Background', 'auntri' ),
				  	'type' 			=> \Elementor\Controls_Manager::COLOR,
				  	'selectors' 	=> [
				  		'{{WRAPPER}} .template5-box .template5-line-bot' => 'background-color : {{VALUE}};',
				  	],
			  	]
			);

			$this->add_control(
				'background_line_bot_v5_hover',
			  	[
				   	'label' 		=> esc_html__( 'Background Hover', 'auntri' ),
				  	'type' 			=> \Elementor\Controls_Manager::COLOR,
				  	'selectors' 	=> [
				  		'{{WRAPPER}} .template5-box:hover .template5-line-bot:before' => 'background-color : {{VALUE}};',
				  	],
			  	]
			);

		$this->end_controls_section();
		/* End Line Bot v5 style */

		/* Begin Icon Box Style */
		$this->start_controls_section(
            'icon_box_style',
            [
                'label' => esc_html__( 'Ova Icon Box', 'auntri' ),
                'tab' 	=> Controls_Manager::TAB_STYLE,
                'condition' => [
				  	'template!' => 'template3',
				  ]
            ]
        );

            $this->start_controls_tabs( 'tabs__style' );
				
				$this->start_controls_tab(
		            'tab_icon_box_normal',
		            [
		                'label' => esc_html__( 'Normal', 'auntri' ),
		            ]
		        );

		            $this->add_control(
						'card_bgcolor',
						[
							'label' 	=> esc_html__( 'Background Color', 'auntri' ),
							'type' 		=> Controls_Manager::COLOR,
							'selectors' => [
								'{{WRAPPER}} .ova-icon-box' => 'background-color: {{VALUE}};',
							],
						]
					);

					$this->add_group_control(
						\Elementor\Group_Control_Box_Shadow::get_type(),
						[
							'name' 		=> 'box_shadow_card',
							'label' 	=> esc_html__( 'Box Shadow', 'auntri' ),
							'selector' 	=> '{{WRAPPER}} .ova-icon-box',
						]
				    );

				    $this->add_group_control(
						\Elementor\Group_Control_Border::get_type(),
						[
							'name' 		=> 'template_6_border',
							'label' 	=> esc_html__( 'Border', 'auntri' ),
							'selector' 	=> '{{WRAPPER}} .ova-icon-box.ova-icon-box-template6',
							'condition' => [
							 	'template' => 'template6',
							]
						]
					);

		        $this->end_controls_tab();

		        $this->start_controls_tab(
		            'tab_icon_box_hover',
		            [
		                'label' => esc_html__( 'Hover', 'auntri' ),
		            ]
		        );

				    $this->add_control(
						'card_bgcolor_hover',
						[
							'label' 	=> esc_html__( 'Background Color Hover', 'auntri' ),
							'type' 		=> Controls_Manager::COLOR,
							'selectors' => [
								'{{WRAPPER}} .ova-icon-box:hover:after, {{WRAPPER}} .ova-icon-box-active:after ' => 'background-color: {{VALUE}};',
							],
							'condition' => [
								'template!' => 'template2',
							],
						]
					);
				 
					$this->add_control(
						'card_bgcolor_hover_v2',
						[
							'label' 	=> esc_html__( 'Background Color Hover', 'auntri' ),
							'type' 		=> Controls_Manager::COLOR,
							'selectors' => [
								'{{WRAPPER}} .ova-icon-box.ova-icon-box-template2:hover' => 'background-color: {{VALUE}};',
							],
							'condition' => [
								'template' => 'template2',
							],
						]
					);

					$this->add_control(
						'border_hover_v6',
						[
							'label' 	=> esc_html__( 'Border Color', 'auntri' ),
							'type' 		=> Controls_Manager::COLOR,
							'selectors' => [
								'{{WRAPPER}} .ova-icon-box.ova-icon-box-template6:hover' => 'border-color: {{VALUE}};',
							],
							'condition' => [
								'template' => 'template6',
							],
						]
					);

					 $this->add_responsive_control(
			            'box_background_image_2_heading',
			            [
			                'label' 		=> esc_html__( 'Background Secondary', 'auntri' ),
			                'type' 			=> Controls_Manager::HEADING,
			                'condition' => [
								'template' => [
									'template2',
								]
							],
							'separator' => 'before',
							'condition' => [
								'template' => 'template2',
							],
			            ]
			        );

					$this->add_group_control(
						\Elementor\Group_Control_Background::get_type(),
						[
							'name' 		=> 'line_bg_color_hover_ver2',
							'label' 	=> esc_html__( 'Background', 'auntri' ),
							'types' 	=> [ 'classic', 'gradient', 'video' ],
							'selector' 	=> '{{WRAPPER}} .ova-icon-box.ova-icon-box-template2:hover .mask-second',
							'condition' => [
								'template' => 'template2',
							],
						]
					);

					$this->add_group_control(
						\Elementor\Group_Control_Box_Shadow::get_type(),
						[
							'name' 		=> 'box_shadow_card_hover',
							'label' 	=> esc_html__( 'Box Shadow Hover', 'auntri' ),
							'selector' 	=> '{{WRAPPER}} .ova-icon-box:hover',
						]
				    );

		        $this->end_controls_tab();

		    $this->end_controls_tabs();

			$this->add_control(
				'card_hover_animation',
				[
					'label' 		=> esc_html__( 'Hover Animation', 'auntri' ),
					'type' 			=> \Elementor\Controls_Manager::HOVER_ANIMATION,
					'prefix_class' 	=> 'elementor-animation-',
					'default'      	=> 'none',
					'separator'    	=> 'before'
				]
			);

		    $this->add_responsive_control(
	            'card_padding',
	            [
	                'label' 		=> esc_html__( 'Padding', 'auntri' ),
	                'type' 			=> Controls_Manager::DIMENSIONS,
	                'size_units' 	=> [ 'px', '%', 'em' ],
	                'selectors' 	=> [
	                    '{{WRAPPER}} .ova-icon-box' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
	                ],
	            ]
	        );
            
            // Box Background Image
	        $this->add_responsive_control(
	            'box_background_image_heading',
	            [
	                'label' 		=> esc_html__( 'Box Background Image', 'auntri' ),
	                'type' 			=> Controls_Manager::HEADING,
	                'condition' 	=> [
						'template' => [
							'template2',
						]
					],
					'separator' => 'before'
	            ]
	        );

		    $this->add_responsive_control(
				'background_image_opacity',
				[
					'label' => esc_html__( 'Opacity', 'auntri' ),
					'type' 	=> Controls_Manager::SLIDER,
					'range' => [
						'px' => [
							'min'  => 0,
							'max'  => 0.5,
							'step' => 0.02,
						],
					],
					'selectors' => [
						'{{WRAPPER}} .ova-icon-box.ova-icon-box-template2 .mask' => 'opacity: {{SIZE}};',
					],
					'condition' => [
						'template' => [
							'template2',
						]
					]
				]
			);

			$this->add_responsive_control(
				'background_image_opacity_hover',
				[
					'label' => esc_html__( 'Opacity Hover', 'auntri' ),
					'type' 	=> Controls_Manager::SLIDER,
					'range' => [
						'px' => [
							'min'  => 0,
							'max'  => 0.5,
							'step' => 0.02,
						],
					],
					'selectors' => [
						'{{WRAPPER}} .ova-icon-box.ova-icon-box-template2:hover .mask' => 'opacity: {{SIZE}};',
					],
					'condition' => [
						'template' => [
							'template2',
						]
					]
				]
			);

        $this->end_controls_section();
		/* End icon box style */  

		/* Begin triangle Style */
		$this->start_controls_section(
            'triangle_v3_style',
            [
                'label' => esc_html__( 'Triangle', 'auntri' ),
                'tab' 	=> Controls_Manager::TAB_STYLE,
                'condition' => [
				  	'template' => 'template3',
				  ]
            ]
        );

			$this->add_control(
				'triangle_color',
				[
					'label' 	=> esc_html__( 'Color', 'auntri' ),
					'type' 		=> Controls_Manager::COLOR,
					'selectors' => [
						'{{WRAPPER}} .ova-icon-box.ova-icon-box-template3 .box-title-desc:after' => 'background-color: {{VALUE}};',
					],
				]
			);


			$this->add_responsive_control(
				'triangle_align',
				[
					'label' 	=> esc_html__( 'Alignment', 'auntri' ),
					'type' 		=> Controls_Manager::CHOOSE,
					'options' 	=> [
						'left' 	=> [
							'title' => esc_html__( 'Left', 'auntri' ),
							'icon' 	=> 'eicon-text-align-left',
						],
						'left: 50%;transform: translate(-50%, 0%);' => [
							'title' => esc_html__( 'Center', 'auntri' ),
							'icon' 	=> 'eicon-text-align-center',
						],
						'right:30px;left:unset;' => [
							'title' => esc_html__( 'Right', 'auntri' ),
							'icon' 	=> 'eicon-text-align-right',
						],
					],
					'selectors' => [
						'{{WRAPPER}} .ova-icon-box.ova-icon-box-template3 .box-title-desc:after' => '{{VALUE}}',
					],
				]
			);

		$this->end_controls_section();
		/* End triangle v3 style */		  

		/* Begin Icon Box Style */
		$this->start_controls_section(
            'icon_box_v3_style',
            [
                'label' => esc_html__( 'Ova Icon Box', 'auntri' ),
                'tab' 	=> Controls_Manager::TAB_STYLE,
                'condition' => [
				  	'template' => 'template3',
				  ]
            ]
        );

		  	$this->add_responsive_control(
	            'content_v3_padding',
	            [
	                'label' 		=> esc_html__( 'Padding', 'auntri' ),
	                'type' 			=> Controls_Manager::DIMENSIONS,
	                'size_units' 	=> [ 'px', '%', 'em' ],
	                'selectors' 	=> [
	                    '{{WRAPPER}} .ova-icon-box.ova-icon-box-template3 .box-title-desc' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
	                ],
	            ]
	        );
		$this->end_controls_section();
		/* End icon box v3 style */		
		
	}

	// Render Template Here
	protected function render() {

		$settings = $this->get_settings();

		$template         =    $settings['template'];
		$active           =    isset( $settings['icon_box_active'] ) ? $settings['icon_box_active'] : '';
        
        $text_number      =    isset( $settings['text_number'] ) ? $settings['text_number'] : '' ;
		$title            =    $settings['title'];
		$description      =    $settings['description'];
		$icon             =    $settings['icon'];
		$link             =    $settings['link'];
		$nofollow         =    ( isset( $link['nofollow'] ) && $link['nofollow'] ) ? 'rel=nofollow' : '';
		$target           =    ( isset( $link['is_external'] ) && $link['is_external'] !== '' ) ? 'target=_blank' : '';

		$url_bg_image     =    ( isset( $settings['background_image_box'] ) && $settings['background_image_box'] ) ? $settings['background_image_box']['url'] : '';  
		$text_button 	  =		$settings['text_button'];

		if( $template == 'template2' ){

			$title        	=   $settings['title_v2'];
			$description  	= 	$settings['description_v2'];
			
		}elseif( $template == 'template3' ){

			$title        	=   $settings['title_v3'];
			$description  	= 	$settings['description_v3'];
			$text_button 	=	$settings['text_button_v3'];

		}elseif( $template == 'template4' ){

			$title        	=   $settings['title_v4'];
			$description  	= 	$settings['description_v4'];

		}elseif( $template == 'template5' ) {

			$title        	=   $settings['title_v5'];
			$description  	= 	$settings['description_v5'];

		}elseif( $template == 'template6' ) {

			$icon           =   $settings['icon_v6'];
			$title        	=   $settings['title_v6'];
			$description  	= 	$settings['description_v6'];

		}

		?>
            
			<?php if( $template == 'template5' ){  ?>
				<div class="template5-box">
			<?php } ?>

	 	    <div class="ova-icon-box ova-icon-box-<?php echo esc_attr( $template ); ?> <?php if( $active === 'yes' ) echo 'ova-icon-box-active'?>">

	 	    	<?php if( $template === 'template2' ): ?>
	                <div class="mask"
	                    <?php if (!empty( $url_bg_image )): ?> 
			 	    	 	style="background-image: url(<?php echo esc_attr( $url_bg_image ) ; ?>)"
			 	    	<?php endif;?>
	                ></div>
	                <div class="mask-box">
	                	<div class="mask-second"></div>
	                </div>
	                
	                <div class="box-icon-v2">
	            		<div class="icon">
	            			<?php 
						        \Elementor\Icons_Manager::render_icon( $icon, [ 'aria-hidden' => 'true' ] );
						    ?>
						</div>
					</div>
                <?php endif;?>

                <?php if( ( $text_number != '' ) && $template === 'template1' ) : ?>
                	<div class="icon-box">
		            	<div class="text-number">
						    <?php echo esc_html( $text_number ); ?>
		            	</div>
		            	<div class="icon">
	            			<?php 
						        \Elementor\Icons_Manager::render_icon( $icon, [ 'aria-hidden' => 'true' ] );
						    ?>
						</div>
	            <?php endif;?>

	            <?php if(  $template === 'template4' ) : ?>
	            	<div class="box-icon-v4">
	            		<div class="icon">
	            			<?php 
						        \Elementor\Icons_Manager::render_icon( $icon, [ 'aria-hidden' => 'true' ] );
						    ?>
						</div>
					</div>
						<div class="box-title-desc">
            	<?php endif;?>

				<?php if (!empty( $icon['value'] ) && $template == 'template3' ): ?>
	            	<div class="icon">
	            		<?php if( $template =='template3' && $text_number != '' ){ ?>
	            			<div class="text-number">
							    <?php echo esc_html( $text_number ); ?>
			            	</div>
	            		<?php } ?>

	            		<?php 
					        \Elementor\Icons_Manager::render_icon( $icon, [ 'aria-hidden' => 'true' ] );
					    ?>
	            	</div>
	            	<div class="box-title-desc">
	            <?php endif;?>

	            <?php if(  $template === 'template1') : ?>
	            	</div>
            	<?php endif;?>

            	<?php if(  $template === 'template6') : ?>
            		<div class="icon">
            			<?php \Elementor\Icons_Manager::render_icon( $icon, [ 'aria-hidden' => 'true' ] );?>
					</div>
            		<div class="box-info">
				<?php endif;?>

	            <?php if(!empty( $link['url'])) : ?>
				  <a href="<?php echo esc_url( $link['url'] ); ?> " <?php echo esc_attr( $target ); ?> <?php echo esc_attr( $nofollow ); ?> title="<?php echo esc_attr( $title ); ?>">

			    <?php endif; ?>
		            <?php if (!empty( $title )): ?>
						<h4 class="title">
							<?php echo esc_html( $title ); ?>
						</h4>
					<?php endif;?>
				<?php if(!empty( $link['url'])) : ?>
					</a>
				<?php endif; ?>

				<?php if (!empty( $description )): ?>
					<p class="description">
						<?php echo esc_html( $description ); ?>
					</p>
				<?php endif;?>

				<?php if($template == 'template5' && !empty($text_number)): ?>
				<div class="text-number">
				    <?php echo esc_html( $text_number ); ?>
            	</div>
            	<?php endif; ?>

				<?php if(  $template === 'template6' || $template == 'template3' || $template == 'template4' ): ?>
            		</div>
				<?php endif;?>

				<?php if(  $template == 'template2' || $template == 'template3' ): ?>
					<?php if( !empty($text_button) ): ?>
				    	<a class="btn btn-readmore" href="<?php  echo esc_url( $link['url'] ); ?>" <?php echo esc_attr( $target ); ?>  title="<?php echo esc_attr( $title ); ?>">
						  	<span><?php  echo esc_html( $text_button ); ?></span>
						  	<?php if($template === 'template3'): ?>
						  		<i class="flaticon flaticon-right-arrow" aria-hidden="true"></i>
						  	<?php endif; ?>
					  	</a>
				  	<?php endif; ?>
			 	<?php endif;?>
		    </div>	 
		    <?php if( $template == 'template5' ){  ?>
		    	<span class="template5-line-bot"></span>
			</div>
		    <?php } ?>    

		<?php
	}

	
}
$widgets_manager->register( new Auntri_Elementor_Ova_Icon_Box() );