<?php if ( !defined( 'ABSPATH' ) ) exit();

 	// Get url image
	$url 	= $args['image']['url'];
	$alt 	= isset( $args['image']['alt'] ) ? $args['image']['alt'] : '';
	
	if( $url == '') {
    	$url   =  \Elementor\Utils::get_placeholder_image_src();
	}

	$name 		= $args['name'];
	$job 		= $args['job'];

	if ( empty( $alt ) ) {
		$alt = $name ? $name : esc_html__( 'Avatar', 'auntri' );
	}

    // list social icons
	$icons 		= $args['icons'];
	$link_team 	= $args['link_team']['url'];
	$target 	= ( 'on' == $args['link_team']['is_external'] ) ? ' target="_blank"' : '';

?>

	<div class="item-team item-team-4">
		
		<div class="avatar">
			<?php if ( $link_team ): ?>
				<a href="<?php echo esc_url( $link_team ); ?>"<?php printf( $target ); ?>>
			<?php endif; ?>
				<img src="<?php echo esc_url( $url ); ?>" alt="<?php echo esc_attr( $alt ); ?>">
			<?php if ( $link_team ): ?>
				</a>
			<?php endif; ?>

			<ul class="social-list">
				<?php foreach( $icons as $icon ): 
					$link 	= $icon['link']['url'];
					$target = ( 'on' == $icon['link']['is_external'] ) ? ' target="_blank"' : '';
				?>
					<li>
						<a class="social" href="<?php echo esc_url( $link );?>"<?php echo esc_attr( $target ); ?>>
							<i class="<?php echo esc_attr( $icon['class_icon'] ); ?>"></i>
						</a>
					</li>
				<?php endforeach; ?>
			</ul>
		</div>
	    
	    <div class="info">

			<?php if ( $link_team ): ?>
				<a href="<?php echo esc_url( $link_team ); ?>"<?php printf( $target ); ?>>
			<?php endif; ?>

				<h2 class="name">
					<?php echo esc_html( $name ); ?>		
				</h2>

			<?php if ( $link_team ): ?>
				</a>
			<?php endif; ?>

			<p class="job">
	    		<?php echo esc_html( $job ); ?>   			
	    	</p>
	    </div>		
	
	</div>