<?php

if ( !defined( 'ABSPATH' ) ) exit();

add_action( 'cmb2_init', 'ova_project_metaboxes' );
function ova_project_metaboxes() {

    // Start with an underscore to hide fields from custom fields list
    $prefix = 'ova_project_';
    
    /* Project Settings */
    $project_settings = new_cmb2_box( array(
        'id'            => 'ovaproject_settings',
        'title'         => esc_html__( 'Settings', 'ova-project' ),
        'object_types'  => array( 'ova_projects'), // Post type
        'context'       => 'normal',
        'priority'      => 'high',
        'show_names'    => true,
        
    ) );

    $group_infobar = $project_settings->add_field( array(
        'id'          => $prefix . 'infobar',
        'type'        => 'group',
        'description' => esc_html__( 'Infobar', 'ova-project' ),
        'options'     => array(
            'group_title'       => esc_html__( 'Infobar', 'ova-project' ), 
            'add_button'        => esc_html__( 'Add Infobar', 'ova-project' ),
            'remove_button'     => esc_html__( 'Remove', 'ova-project' ),
            'sortable'          => true,
           
        ),
    ) );

    $project_settings->add_group_field( $group_infobar, array(
        'name' => esc_html__( 'Label', 'ova-project' ),
        'id'   => $prefix . 'infobar_label',
        'type' => 'text',
    ) );       
    
    $project_settings->add_group_field( $group_infobar, array(
        'name' => esc_html__( 'Title', 'ova-project' ),
        'id'   => $prefix . 'infobar_title',
        'type' => 'text',
    ) );

    $project_settings->add_field( array(
        'name'      => esc_html__( 'Sort Order', 'ova-project' ),
        'id'        => $prefix . 'order_project',
        'desc'      => esc_html__( 'Insert Number', 'ova-project' ),
        'type'      => 'text',
        'default'   =>'1',
    ) );

}
