(function($){
    "use strict";

    $(window).on('elementor/frontend/init', function () {

        /* ajax project filter  */
        elementorFrontend.hooks.addAction('frontend/element_ready/ova_elementor_project_filter_ajax.default', function(){

            $('.ova-project-filter-ajax').each( function(){

                var that    = $(this);
                var btn     = that.find('.project-filter-button');
                
                var template       = that.data('template');
                var posts_per_page = that.data('posts_per_page');
                var orderby        = that.data('orderby');
                var order          = that.data('order');

                //load init
                load_ajax('all',template,posts_per_page,orderby,order);
                
                btn.each( function() {
                    $(this).on('click', function() {

                        that.find(".project-filter-button").removeClass("active-category");
                        $(this).addClass("active-category");

                        var term = $(this).attr( "data-slug" );
                        load_ajax(term,template,posts_per_page,orderby,order);

                    });
                });  

            });

        });
    
        function project_filter_ajax_slide () {

            $(".ova-project-filter-ajax .slide-project").each(function(){

                var owlsl     = $(this);
                var owlsl_ops = owlsl.data('options') ? owlsl.data('options') : {};

                var responsive_value = {
                    0:{
                        items:1,
                        stagePadding : 0,
                    },
                    767:{
                        items:2,
                    },
                    1024:{
                        items:owlsl_ops.items 
                    }
                };
              
                owlsl.owlCarousel({
                    rtl:false,
                    margin: owlsl_ops.margin,
                    stagePadding : owlsl_ops.stagePadding,
                    items: owlsl_ops.items,
                    loop: owlsl_ops.loop,
                    autoplay: owlsl_ops.autoplay,
                    autoplayTimeout: owlsl_ops.autoplayTimeout,
                    center: false,
                    nav: false,
                    dots: owlsl_ops.dots,
                    thumbs: owlsl_ops.thumbs,
                    autoplayHoverPause: owlsl_ops.autoplayHoverPause,
                    slideBy: owlsl_ops.slideBy,
                    smartSpeed: owlsl_ops.smartSpeed,
                    responsive: responsive_value,
                });

                /* Fixed WCAG */
                owlsl.find(".owl-dots button").attr("title", "Dots");

                /*****First Load ( add class )********/
                owlsl.find('.owl-item.active').each( function(i) {
                    if ( i === 0 ) {
                        $(this).addClass('first-active');
                    }
                });
                /*****On Changed********/
                owlsl.on('changed.owl.carousel', function(event) {
                    var that = $(this);
                    that.find('.owl-item').removeClass('first-active');
                    var index = event.item.index;
                    that.find('.owl-item').each( function(i) {
                        if ( i === index ) {
                            $(this).addClass('first-active');
                        }
                    });
                });
                /*****On Dragged********/
                owlsl.on('dragged.owl.carousel', function(event) {
                    var that = $(this);
                    that.find('.owl-item').removeClass('first-active');
                    that.find('.owl-item.active:first').addClass('first-active');
                }); 

            });

        }

        function photo_gallery(){

            $('.ova-project-filter-ajax .content-item').each( function(){
                var that = $(this);
                var photo = that.find('.button-gallery');
                
                photo.on('click', function(){
                
                    $('[data-fancybox="preview-data"]').fancybox({
                        
                        buttons : [
                            'zoom',
                            'download',
                            'close'
                        ],

                        afterLoad : function(instance, current) {
                            var current_index = current.index;
                            $(".owl-item").removeClass('active');
                            $( ".owl-item:nth-child("+ current_index +")" ).addClass('active');    
                        },
                        afterShow: function(instance, current) {
                            var current_index = current.index;
                            $('.slide-project').trigger('to.owl.carousel', current.index);
                        }

                    });
                });
            });
        }

        function load_ajax(term,template,posts_per_page,orderby,order){
            
            $.ajax({
               url: ajax_object.ajax_url,
               type: 'POST',
               data: ({
                   action: 'ova_load_project_filter',
                   term: term,
                   template: template,
                   posts_per_page: posts_per_page,
                   orderby: orderby,
                   order : order
                }),
                success: function(data){
                    if ( data != '' ){
                        
                        $('.ova-project-filter-ajax .content-item').empty();
                        $('.ova-project-filter-ajax .content-item').append(data).fadeIn(300);
                        $('.ova-project-filter-ajax .content-item').trigger('destroy.owl.carousel');
                         
                        project_filter_ajax_slide();
                        photo_gallery();
                    }
                }
            });
        }         
         
    });

})(jQuery);