<?php if ( ! defined( 'ABSPATH' ) ) exit;

/**
 * Main Plugin Class
 *
 * Register new elementor widget.
 *
 * @since 1.0.0
 */

class Ova_Project_Register_Elementor {

    function __construct() {
            
        // Register Header Footer Category in Pane
        add_action( 'elementor/elements/categories_registered', array( $this, 'ovapro_add_category' ) );

        add_action( 'elementor/frontend/after_register_scripts', array( $this, 'ovapro_enqueue_scripts' ) );
        
        add_action( 'elementor/widgets/register', array( $this, 'ovapro_include_widgets' ) );
    }

    function ovapro_add_category( ) {
        \Elementor\Plugin::instance()->elements_manager->add_category(
            'ovapro',
            [
                'title' => esc_html__( 'Project', 'ova-project' ),
                'icon' => 'fa fa-plug',
            ]
        );
    }

    function ovapro_enqueue_scripts() {
        $files = glob( OVAPRO_PLUGIN_PATH . 'assets/js/elementor/*.js' );
       
        foreach ($files as $file) {
            $file_name = wp_basename($file);
            $handle    = str_replace(".js", '', $file_name);
            $src       = OVAPRO_PLUGIN_URI . 'assets/js/elementor/' . $file_name;

            if (file_exists($file)) {
                wp_enqueue_script( 'ovapro-elementor-' . $handle, $src, ['jquery'], null, true );
            }
        }
    }

    function ovapro_include_widgets( $widgets_manager ) {
        $files = glob( OVAPRO_PLUGIN_PATH . 'elementor/widgets/*.php' );

        foreach ($files as $file) {
            $file = OVAPRO_PLUGIN_PATH . 'elementor/widgets/' .wp_basename($file);
            if (file_exists($file)) {
                require_once $file;
            }
        }
    }
}

new Ova_Project_Register_Elementor();