<?php if ( !defined( 'ABSPATH' ) ) exit();

if ( ! class_exists( 'Ova_Project_Filter_Ajax' ) ) {

	class Ova_Project_Filter_Ajax{

		public function __construct(){

			add_action( 'wp_ajax_ova_load_project_filter', array( $this, 'ova_load_project_filter') );
			add_action( 'wp_ajax_nopriv_ova_load_project_filter', array( $this, 'ova_load_project_filter') );
		
		}

		public function ova_load_project_filter(){

			$term      		 = isset( $_POST['term'] ) 				? sanitize_text_field( $_POST['term'] ) 		  : 'all';
			$template        = isset( $_POST['template'] ) 			? sanitize_text_field( $_POST['template'] ) 	  : 'template1';
			$posts_per_page  = isset( $_POST['posts_per_page'] ) 	? (int)$_POST['posts_per_page']			  		  : 8 ;
			$orderby      	 = isset( $_POST['orderby'] ) 			? sanitize_text_field( $_POST['orderby'] ) 		  : 'ID';
			$order      	 = isset( $_POST['order'] ) 			? sanitize_text_field( $_POST['order'] ) 		  : 'DESC';
			

			if( $term != "all" ) {

				$args = array(
				    'post_type'   => 'ova_projects',
				    'posts_per_page' => $posts_per_page,
				    'post_status' => array( 'publish' ),
				    'tax_query' => array(
				        array(
				            'taxonomy' => 'category_project',
				            'field'    => 'slug',
				            'terms'    => $term, 
				        ),
				    ),
				    'orderby'	 => $orderby,
				    'order' 	 => $order,
				);

			} else {
				$args = array(
				    'post_type'   => 'ova_projects',
				    'posts_per_page' => $posts_per_page,
				    'post_status' => array( 'publish' ),
				    'tax_query' => array(
				        array(
				            'taxonomy' => 'category_project',
				            'operator' => 'EXISTS'
				        ),
				    ),
				    'orderby' => $orderby,
				    'order'	  => $order,
				);
			}
			
			

			$list_project = new \WP_Query( $args );

			$results = '';

			ob_start();


			if( $list_project->have_posts() ) : while( $list_project->have_posts() ) : $list_project->the_post();

				$id = get_the_ID();

				if( $template === 'template1' ) {
	        	 	ovapro_get_template( 'parts/item-filter-ajax.php', array( 'id' => $id ) );

		        } elseif( $template === 'template2' ) {
		        	ovapro_get_template( 'parts/item-template-2.php', array( 'id' => $id ) );

		        } elseif( $template === 'template3' ) {
		        	ovapro_get_template( 'parts/item-template-3.php', array( 'id' => $id ) );
		        	
		        } elseif( $template === 'template4' ) {
		        	ovapro_get_template( 'parts/item-template-4.php', array( 'id' => $id ) );

		        } elseif( $template === 'template5' ) {
		        	ovapro_get_template( 'parts/item-template-5.php', array( 'id' => $id ) );	 
	            
	            } elseif( $template === 'template6' ) {
		        	ovapro_get_template( 'parts/item-template-6.php', array( 'id' => $id ) );

		        } else {
		        	ovapro_get_template( 'parts/item-filter-ajax.php', array( 'id' => $id ) );
		        }      
				   
		    endwhile; else: wp_reset_postdata(); 
		
			endif; wp_reset_postdata(); 

			$results = ob_get_contents();
			ob_end_clean();

			echo $results;

			wp_die();
	            
	    }

	}

	new Ova_Project_Filter_Ajax();
}