<?php

if ( !defined( 'ABSPATH' ) ) exit();

// The query project
add_action( 'pre_get_posts', 'ovapro_post_per_page_archive' );
function ovapro_post_per_page_archive( $query ) {
	if ( ( is_post_type_archive( 'ova_projects' )  && !is_admin() )  || ( is_tax('category_project') && !is_admin() ) ) {
		
		$posts_per_page = isset( $_GET['posts_per_page'] ) ? sanitize_text_field( $_GET['posts_per_page'] ) : '';

		$posts_per_page = $posts_per_page != '' ? $posts_per_page : get_theme_mod( 'ova_project_total_record', 6 );


		if ( $query->is_post_type_archive( 'ova_projects' ) || $query->is_tax('category_project') ) {
			$query->set('post_type', array( 'ova_projects' ) );
			$query->set('posts_per_page', $posts_per_page );
			$query->set('orderby', 'date' );
            $query->set('order', 'DESC' );
		}
	}
}

// Get All ID
function ova_project_get_all_ids(){

    $all_ids = array();

    $all_ids = get_posts( array(
        'post_type' => 'ova_projects',
        'numberposts' => -1,
        'post_status' => 'publish',
        'fields' => 'ids',
    ) );

    return $all_ids;
}

// Get Projects Element
function ovapro_get_projects_element( $args ){
	
	$post_per_page = $args['post_per_page'];
	$category      = $args['category'];


	$args_new = array(
		'post_type' => 'ova_projects',
		'post_status' => 'publish',
		'posts_per_page' => $post_per_page,
		'fields' => 'ids'
	);

	// Category
	if ( !empty( $category ) && ( 'all' != $category) ) {
	    $args_new['tax_query'] = array(
	        array(
	            'taxonomy' => 'category_project',
	            'field'    => 'slug',
	            'terms'    => $category,
	        ),
	    );
	}


	$args_project_order = [];
	if( $args['order_by'] === 'ova_project_order_project' ) { 
		$args_project_order = [
			'meta_key'   => $args['order_by'],
			'orderby'    => 'meta_value_num',
			'meta_type'  => 'NUMERIC',
			'order'      => $args['order'],
		];
	} else { 
		$args_project_order = [
			'orderby' => $args['order_by'],
			'order'   => $args['order'],
		];
	}

	$args_project = array_merge( $args_new, $args_project_order );

	$projects  = new \WP_Query($args_project);

	return $projects;

}


function get_cat_slug_pro_by_id_pro( $id_pro = '' ){

	if( $id_pro === '' ) return;

	$cat_pros = get_the_terms( $id_pro, 'category_project' );
	$i = 0;

	$cat_slug = '';
	if( ! empty( $cat_pros ) ){
		$count_cat = count( $cat_pros );
		?>
		<?php
		foreach ($cat_pros as $cat_pro) {
			$i++;
			$separator = ( $count_cat !== $i ) ? " " : "";

			$term_slug = $cat_pro->slug;

			$cat_slug .= $term_slug . $separator;
		}
	}

	return $cat_slug;
}