<?php

if ( !defined( 'ABSPATH' ) ) {
	exit;
}

add_action( 'pre_get_posts', 'ova_sev_post_per_page_archive' );
function ova_sev_post_per_page_archive( $query ) {
	if ( ( is_post_type_archive( 'ova_sev' )  && !is_admin() )  || ( is_tax('cat_sev') && !is_admin() ) ) {
		if( $query->is_post_type_archive( 'ova_sev' ) || $query->is_tax('cat_sev') ) {
			$query->set('post_type', array( 'ova_sev' ) );
			$query->set('posts_per_page', get_theme_mod( 'ova_sev_total_record', 6 ) );
			$query->set('orderby', 'date' );
           	$query->set('order', 'DESC' );
		}
	}
}

// Get All Services Item
function ova_sev_get_all_services(){

	$args = array(
		'post_type' => 'ova_sev',
		'posts_per_page' => -1,
		'fields' => 'ids'
	);

	return get_posts( $args );

}

// Get All ID
function ova_sev_get_all_ids(){

	$all_ids = array();

   $all_ids = get_posts( array(
        'post_type' => 'ova_sev',
        'numberposts' => -1,
        'post_status' => 'publish',
        'fields' => 'ids',
    ) );

    return $all_ids;
}

// Get Services Element
function ova_sev_get_services_element( $args ){
	
	$post_per_page = $args['post_per_page'];
	$category      = $args['category'];


	$args_new = array(
		'post_type' => 'ova_sev',
		'post_status' => 'publish',
		'posts_per_page' => $post_per_page,
		'fields' => 'ids'
	);

	// Category
	if ( !empty( $category ) && ( 'all' != $category) ) {
	    $args_new['tax_query'] = array(
	        array(
	            'taxonomy' => 'cat_sev',
	            'field'    => 'slug',
	            'terms'    => $category,
	        ),
	    );
	}


	$args_sev_order = [];
	if( $args['order_by'] === 'ova_sev_met_order_sev' ) {
		$args_sev_order = [
			'meta_key'   => $args['order_by'],
			'orderby'    => 'meta_value_num',
			'meta_type'  => 'NUMERIC',
			'order'      => $args['order'],
		];
	} else { 
		$args_sev_order = [
			'orderby' => $args['order_by'],
			'order'   => $args['order'],
		];
	}

	$args_sev = array_merge( $args_new, $args_sev_order );

	$sevs  = new \WP_Query($args_sev);

	return $sevs;

}

// Get Services in Category by ID
function ova_sev_get_services_in_category_by_id( $post_id, $post_per_page, $order, $orderby ){

	$list_sevs = array();

	// Get categories
	$category_ids = array();
	$terms = get_the_terms( $post_id, 'cat_sev' );
	if (  $terms && is_array( $terms ) ) {
		foreach( $terms as $term ) {
			array_push( $category_ids, $term->term_id );
		}
	}

	$args = array(
		'post_type' => 'ova_sev',
		'posts_per_page' => $post_per_page,
		'fields' => 'ids'
	);

	if ( 'ova_sev_met_order_sev' === $orderby ) {
		$args = array(
			'post_type' => 'ova_sev',
			'posts_per_page' => $post_per_page,
			'orderby' 	=> 'meta_value_num',
			'order' 	=> $order,
			'meta_type' => 'NUMERIC',
			'meta_key' 	=> 'ova_sev_met_order_sev'
		);
	} else {
		$args = array(
			'post_type' => 'ova_sev',
			'posts_per_page' => $post_per_page,
			'orderby' 	=> $orderby,
			'order' 	=> $order,
		);
	}

	// Query get service in category by id
	if ( $category_ids && is_array( $category_ids ) ) {
		$args['tax_query'] = array(
			array(
				'taxonomy' => 'cat_sev',
				'field'    => 'term_id',
				'terms'    => $category_ids,
			)
		);
	}

	$list_sevs = new \WP_Query( $args );

	return $list_sevs;

}