<?php

if ( !defined( 'ABSPATH' ) ) exit();

if( !function_exists( 'ovapro_locate_template' ) ){
	function ovapro_locate_template( $template_name, $template_path = '', $default_path = '' ) {
		
		// Set variable to search in ovacoll-templates folder of theme.
		if ( ! $template_path ) {
			$template_path = 'ovaproject-templates/';
		}

		// Set default plugin templates path.
		if ( ! $default_path ) {
			$default_path = OVAPRO_PLUGIN_PATH . 'templates/'; // Path to the template folder
		}

		// Search template file in theme folder.
		$template = locate_template( array( $template_path . $template_name ) );

		// Get plugins template file.
		if ( ! $template ) {
			$template = $default_path . $template_name;
		}

		return apply_filters( 'ovapro_locate_template', $template, $template_name, $template_path, $default_path );
	}
}

// Get template
function ovapro_get_template( $template_name, $args = array(), $tempate_path = '', $default_path = '' ) {
	if ( is_array( $args ) && isset( $args ) ) :
		extract( $args );
	endif;
	$template_file = ovapro_locate_template( $template_name, $tempate_path, $default_path );
	if ( ! file_exists( $template_file ) ) :
		_doing_it_wrong( __FUNCTION__, sprintf( '<code>%s</code> does not exist.', $template_file ), '1.0.0' );
		return;
	endif;

	include $template_file;
}

// Get Project Header
add_filter( 'auntri_header_customize', 'ovapro_header_customize_project', 10, 1 );
function ovapro_header_customize_project( $header ){
	if ( is_tax( 'category_project' ) ||  get_query_var( 'category_project' ) != '' || is_post_type_archive( 'ova_projects' ) ) {
	  	$header = get_theme_mod( 'header_archive_project', 'default' );
	} else if( is_singular( 'ova_projects' ) ) {
		$header = get_theme_mod( 'header_single_project', 'default' );
	}

	return $header;
}

// Get Project Footer
add_filter( 'auntri_footer_customize', 'ovapro_footer_customize_project', 10, 1 );
function ovapro_footer_customize_project( $footer ){
    
   	if ( is_tax( 'category_project' ) ||  get_query_var( 'category_project' ) != '' || is_post_type_archive( 'ova_projects' ) ) {
        $footer = get_theme_mod( 'footer_archive_project', 'default' );
    } else if( is_singular( 'ova_projects' ) ) {
        $footer = get_theme_mod( 'footer_single_project', 'default' );
    }

    return $footer;
}

// Add image size
add_action( 'plugins_loaded', 'ovapro_plugins_support' );
if ( !function_exists( 'ovapro_plugins_support' ) ) {
	function ovapro_plugins_support() {
		add_image_size( 'ovapro_thumbnail', 600, 480, true );
	}
}