<?php
/**
 * @package    OVA Project by ovatheme
 * @author     Ovatheme
 * @copyright  Copyright (C) 2022 Ovatheme All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 */
if ( !defined( 'ABSPATH' ) ) exit();

    if ( isset( $args['id'] ) && $args['id'] ) {
        $id = $args['id'];
    } else {
        $id = get_the_id();
    }

    $all_ids  = ova_project_get_all_ids();
        
    if( in_array( $id, $all_ids ) ) {
        $group_infobar      = get_post_meta( $id, 'ova_project_infobar', true ); 
    } else {
        $group_infobar      = get_post_meta( $all_ids[0], 'ova_project_infobar', true ); 
    }
   
    $show_share_social  = isset( $args['show_share_social'] ) ? $args['show_share_social'] : 'yes';

?>

<div class="data-project"> 

    <?php if( !empty( $group_infobar ) ) : ?>

        <?php
            foreach( $group_infobar as $infobar ){

                $infobar_label   = isset( $infobar['ova_project_infobar_label'] ) ? $infobar['ova_project_infobar_label'] : ''; 
                $infobar_content = isset( $infobar['ova_project_infobar_title'] )  ? $infobar['ova_project_infobar_title'] : ''; 

            ?>

                <div class="item">
                    <span class="label"><?php echo esc_html( $infobar_label ); ?></span>
                    <h4 class="title"><?php echo esc_html( $infobar_content ); ?></h4>                                 
                </div>

        <?php } ?>

    <?php endif; ?>

    <?php if( $show_share_social == 'yes' ){ ?>
        <?php apply_filters( 'ova_share_social', get_the_permalink(), get_the_title()  ); ?>
    <?php } ?>

</div>