<?php
/**
 * @package    OVA Project by ovatheme
 * @author     Ovatheme
 * @copyright  Copyright (C) 2022 Ovatheme All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 */

if ( ! defined( 'ABSPATH' ) ) exit;

    if ( isset( $args['id'] ) && $args['id'] ) {
        $id = $args['id'];
    } else {
        $id = get_the_id();
    }
    
    // template
    $template         = isset( $args['template'] ) ? $args['template'] : 'template1' ;

    // projects
    $posts_per_page   =  isset( $args['posts_per_page'] )  ? $args['posts_per_page']    : 10 ;
    $orderby          =  isset( $args['project_orderby'] ) ? $args['project_orderby']   : 'ID' ;
    $order            =  isset( $args['project_order'] )   ? $args['project_order']     : 'DESC' ;
    
    // categories
    $args_categories  =  isset( $args['categories'] ) ? $args['categories'] : array('all') ;
    if ( $args_categories === 'all') {
        $args_categories = array('all');
    }

    $pro_args = array(
       'taxonomy' => 'category_project',
       'orderby'  => $args['orderby'],
       'order'    => $args['order']
    );

    $catAll      = esc_html__('All', 'ova-project');
    $categories  = get_categories($pro_args);
    $count_posts = wp_count_posts('ova_projects')->publish;
     if ( $count_posts > $posts_per_page ) {
        $count_posts = $posts_per_page;
    }

    // Additional Options Slider
    $data_options['items']              = isset( $args['item_number'] )         ? $args['item_number']      : 2 ;
    $data_options['slideBy']            = isset( $args['slides_to_scroll'] )    ? $args['slides_to_scroll'] : 1 ;
    $data_options['margin']             = isset( $args['margin_items'] )        ? $args['margin_items']     : 30 ;
    $data_options['autoplayTimeout']    = isset( $args['autoplay_speed'] )      ? $args['autoplay_speed']   : 3000;
    $data_options['smartSpeed']         = isset( $args['smartspeed'] )          ? $args['smartspeed']       : 500;
    $data_options['stagePadding']       = isset( $args['stagePadding'] )        ? $args['stagePadding']     : 0 ;
    $data_options['autoplayHoverPause'] = $args['pause_on_hover']   === 'yes'   ? true : false;
    $data_options['loop']               = $args['infinite']         === 'yes'   ? true : false;
    $data_options['autoplay']           = $args['autoplay']         === 'yes'   ? true : false;
    $data_options['dots']               = $args['dots_control']     === 'yes'   ? true : false;


?>

<div class="ova-project-filter-ajax"
    data-template ="<?php echo esc_attr( $template ); ?>"
    data-posts_per_page ="<?php echo esc_attr( $posts_per_page ); ?>"
    data-orderby ="<?php echo esc_attr( $orderby ); ?>"
    data-order ="<?php echo esc_attr( $order ); ?>"
>

    <ul class="project-filter-category">

        <li class="project-filter-button active-category" data-slug="all">
            <span class="category"><?php echo esc_html( $catAll ); ?></span>
            <span class="category-total"><?php echo sprintf('%02s', $count_posts) ; ?></span>
        </li>
        
        <?php  if( !empty( $categories ) && is_array( $categories ) ) : ?>

            <?php foreach ( $categories as $category ) : 
                $name  = $category->name;
                $slug  = $category->slug;
                $total = $category->category_count;
                if ( $total > $posts_per_page ) {
                    $total = $posts_per_page;
                }
            ?>

                <?php if( in_array( $slug, $args_categories ) ) : ?>

                    <li class="project-filter-button" data-slug="<?php echo esc_attr($slug);?>">
                        <span class="category"><?php echo esc_html( $name ); ?> </span>
                        <span class="category-total">
                            <?php if( $total === 0) {
                                printf($total) ;
                            } else {
                                echo sprintf('%02s', $total) ;
                            } ?>       
                        </span>
                    </li>

                <?php endif; ?>

            <?php endforeach; ?>

        <?php endif; ?>

    </ul>


   
    <div class="content-item slide-project owl-carousel owl-theme" data-options="<?php echo esc_attr(json_encode($data_options)); ?>">
        
    </div>  

</div>