<?php if ( !defined( 'ABSPATH' ) ) exit();

	if ( isset( $args['id'] ) && $args['id'] ) {
		$id = $args['id'];
	} else {
		$id = get_the_id();
	}

	$avatar   	  = wp_get_attachment_image_url( get_post_thumbnail_id( $id ), 'large' ); 
	if( $avatar == '') {
    	$avatar   =  \Elementor\Utils::get_placeholder_image_src();
	}

	//category
	$cat_slug 	  = get_cat_slug_pro_by_id_pro( $id );

    $project_categories   = array();
    $project_categories   = wp_get_post_terms( get_the_ID(), 'category_project' );

    if( is_array( $project_categories ) && !empty( $project_categories ) ) {
    	$first_category_name  = $project_categories[0]->name;
	    $category_id     	  = $project_categories[0]->term_id;
	    $category_link   	  = get_category_link( $category_id );
    }

?>

	<div class="project-slider <?php echo esc_attr($cat_slug);?>">
	    
	    <!-- Image -->
		<div class="img-project">
		    <a href="<?php echo esc_url( $avatar ); ?>" data-fancybox="preview-data" data-caption="<?php the_title(); ?>">
		    	<img src="<?php echo esc_url( $avatar ); ?>" class="img-responsive project-img" alt="<?php the_title(); ?>">
			</a>	
		</div>

		<!-- Info -->
		<div class="info-wrapper">

			<div class="info">

				<!-- Category -->
				<?php if ( !empty( $first_category_name ) ): ?>
					<a class="project-category" href="<?php echo esc_url($category_link); ?>">
						<?php echo esc_html( $first_category_name ); ?>
					</a>
		        <?php endif;?>
		        
		        <a href="<?php the_permalink(); ?>" >
					<h3 class="name">
						<?php the_title(); ?>	
					</h3>
				</a>

				<a class="next-button" href="<?php the_permalink(); ?>">
	                <i aria-hidden="true" class="flaticon flaticon-right-arrow"></i>
				</a>

			</div>

		</div>
		
		
	</div>