<?php if ( !defined( 'ABSPATH' ) ) exit();

	if ( isset( $args['id'] ) && $args['id'] ) {
		$id = $args['id'];
	} else {
		$id = get_the_id();
	}
    
	$target   = ( isset( $args['target_blank'] ) && ( 'yes' === $args['target_blank'] ) ) ? "target='_blank'" : '' ;

    $thumbnail   = wp_get_attachment_image_url( get_post_thumbnail_id( $id ), 'ovasev_thumbnail' );
    if ( $thumbnail == '') {
    	$thumbnail   =  \Elementor\Utils::get_placeholder_image_src();
    }

	$class_icon  = get_post_meta( $id, 'ova_sev_met_icon', true );
	$title       = get_the_title();
	$description = get_the_excerpt();
    
    // get first category from service
    $service_categories   = array();

    $service_categories   = wp_get_post_terms( get_the_ID(), 'cat_sev' );

    if( is_array( $service_categories ) && !empty( $service_categories ) ) {
    	$first_category_name  = $service_categories[0]->name;
	    $category_id     	  = $service_categories[0]->term_id;
	    $category_link   	  = get_category_link( $category_id );
    }
	

?>

	<div class="ova-service-box-template ova-service-box-template2">

	    <div class="img-service">
	    	<a href="<?php the_permalink(); ?>" <?php echo esc_attr($target); ?> title="<?php echo esc_attr( $title ); ?>">
	    		<img src="<?php echo esc_attr( $thumbnail ) ; ?>" alt="<?php echo esc_attr( $title ); ?>">
	    	</a>

	    	<?php if (!empty( $class_icon )): ?>
				<div class="icon">
					<i class="<?php echo esc_attr( $class_icon ); ?>"></i>
				</div>
			<?php endif;?>
	    </div>

	    <div class="info">
            
            <?php if ( !empty( $first_category_name ) ): ?>
				<a class="category" href="<?php echo esc_url($category_link); ?>">
					<?php echo esc_html( $first_category_name ); ?>
				</a>
            <?php endif;?>

	    	<a href="<?php the_permalink(); ?>" <?php echo esc_attr($target); ?> title="<?php echo esc_attr( $title ); ?>">

		        <?php if (!empty( $title )): ?>
					<h4 class="title">
						<?php echo esc_html( $title ); ?>
					</h4>
				<?php endif;?>

			</a>

			<?php if (!empty( $description )): ?>
				<p class="description">
					<?php echo esc_html( $description ); ?>
				</p>
			<?php endif;?>

			<a class="next-button" href="<?php the_permalink(); ?>" <?php echo esc_attr( $target ); ?> title="<?php echo esc_attr( $title ); ?>">
                <?php echo esc_html__('Learn More','ova-sev'); ?>
			</a>
			
	    </div>

	</div>	