<?php if ( !defined( 'ABSPATH' ) ) exit();

	if ( isset( $args['id'] ) && $args['id'] ) {
		$id = $args['id'];
	} else {
		$id = get_the_id();
	}
    
	$target   	 = ( isset( $args['target_blank'] ) && ( 'yes' === $args['target_blank'] ) ) ? "target='_blank'" : '' ;

	$class_icon  = get_post_meta( $id, 'ova_sev_met_icon', true );
	$title       = get_the_title();
	$description = get_the_excerpt();

?>

	<div class="ova-service-box-template ova-service-box-template6">
        
        <div class="img-service">
        	<?php if (!empty( $class_icon )): ?>
				<div class="icon">
					<i class="<?php echo esc_attr( $class_icon ); ?>"></i>
				</div>
			<?php endif;?>
        </div>
        
        <div class="info">
        	
        	<a href="<?php the_permalink(); ?>" <?php echo esc_attr($target); ?> title="<?php echo esc_attr( $title ); ?>">

		        <?php if (!empty( $title )): ?>
					<h4 class="title">
						<?php echo esc_html( $title ); ?>
					</h4>
				<?php endif;?>

			</a>

			<?php if (!empty( $description )): ?>
				<p class="description">
					<?php echo esc_html( $description ); ?>
				</p>
			<?php endif;?>
        </div>
		

		<a class="next-button" href="<?php the_permalink(); ?>" <?php echo esc_attr( $target ); ?> title="<?php echo esc_attr( $title ); ?>">
            <span><?php echo esc_html__('Learn More','ova-sev'); ?></span>
            <i aria-hidden="true" class="flaticon flaticon-right-arrow"></i>
		</a>

	</div>	