<?php if ( !defined( 'ABSPATH' ) ) exit();

	if ( isset( $args['id'] ) && $args['id'] ) {
		$id = $args['id'];
	} else {
		$id = get_the_id();
	}
    
    // featured image
    $thumbnail   = wp_get_attachment_image_url( get_post_thumbnail_id( $id ),'ovapro_thumbnail' );
    if( $thumbnail == '') {
    	$thumbnail   =  \Elementor\Utils::get_placeholder_image_src();
	}
	
	$target   = ( isset( $args['target_blank'] ) && ( 'yes' === $args['target_blank'] ) ) ? "target='_blank'" : '' ;
    
    // get first category from project
    $project_categories   = array();

    $project_categories   = wp_get_post_terms( get_the_ID(), 'category_project' );

    if( is_array( $project_categories ) && !empty( $project_categories ) ) {
    	$first_category_name  = $project_categories[0]->name;
	    $category_id     	  = $project_categories[0]->term_id;
	    $category_link   	  = get_category_link( $category_id );
    }

    $title       = get_the_title();

?>

	<div class="ova-project-box-template ova-project-box-template2">

	    <div class="img-project">
	    	<a href="<?php the_permalink(); ?>" <?php echo esc_attr($target); ?> title="<?php echo esc_attr( $title ); ?>">
	    		<img src="<?php echo esc_attr( $thumbnail ) ; ?>" alt="<?php echo esc_attr( $title ); ?>">
	    	</a>
	    	<a class="next-button" href="<?php the_permalink(); ?>" <?php echo esc_attr( $target ); ?> title="<?php echo esc_attr( $title ); ?>">
	            <i aria-hidden="true" class="flaticon flaticon-right-arrow"></i>
			</a>
	    </div>

	    <div class="info">
            
            <?php if ( !empty( $first_category_name ) ): ?>
				<a class="category" href="<?php echo esc_url($category_link); ?>">
					<?php echo esc_html( $first_category_name ); ?>
				</a>
            <?php endif;?>

	    	<a href="<?php the_permalink(); ?>" <?php echo esc_attr($target); ?> title="<?php echo esc_attr( $title ); ?>">

		        <?php if (!empty( $title )): ?>
					<h4 class="title">
						<?php echo esc_html( $title ); ?>
					</h4>
				<?php endif;?>

			</a>

			<div class="decor-triangle"></div>
			
	    </div>

	</div>	