<?php if ( !defined( 'ABSPATH' ) ) exit();

get_header();

$id = get_the_ID();

$thumbnail   = wp_get_attachment_image_url(get_post_thumbnail_id() , 'large' );

$show_next_prev = get_theme_mod( 'project_single_show_next_prev_project', 'yes' );
$prev_post   	= get_previous_post();
$next_post   	= get_next_post();

$post_type = get_post_type( $id );
if ( $post_type != 'ova_projects' ) {
	return false;
}

?>

<div class="row_site">
	<div class="container_site">

		<div class="ova_project_single">
            
            <?php if( !empty( $thumbnail ) ) :?>
				<div class="project-img">
					<img src="<?php echo esc_url( $thumbnail ); ?>" alt="<?php the_title(); ?>">
				</div>
			<?php endif; ?>

			<?php if( have_posts() ) : while( have_posts() ) : the_post();
				the_content();
			endwhile; endif; wp_reset_postdata(); ?> 
            
            <?php if( $show_next_prev === 'yes') : ?>
				<?php if( $next_post || $prev_post ) { ?>

					<div class="ova-next-pre-post">
						<?php
						$prev_post = get_previous_post();
						$next_post = get_next_post();
						?>
						
						<?php if($prev_post) {
							?>
							<a class="pre" href="<?php echo esc_attr(get_permalink($prev_post->ID)); ?>" title="<?php esc_html_e('Previous', 'ova-project'); ?>">
								<div class="icon">
									<i class="ovaicon-back-2"></i>
								</div>
								<span class="num-pre">
									<span class="second_font text-label"><?php esc_html_e('Previous', 'ova-project'); ?></span>
								</span>
							</a>
							<?php
						}
						?>
						
						<?php if($next_post) {
								?>
								<a class="next" href="<?php echo esc_attr(get_permalink($next_post->ID)); ?> " title="<?php esc_html_e('Next', 'ova-project'); ?>">
									<span class="num-next">
										<span class="second_font text-label"><?php esc_html_e('Next', 'ova-project'); ?></span>
									</span>
									<div class="icon">
										<i class="ovaicon-next-4"></i>
									</div>
								</a>
								<?php
							}
						?>
					</div>

				<?php } ?>
			<?php endif; ?>

		</div>
	</div>
</div>

<?php get_footer();