<?php if ( !defined( 'ABSPATH' ) ) exit();

get_header( );

$id       	 = get_the_ID();
$avatar  	 = wp_get_attachment_image_url( get_post_thumbnail_id( $id ), 'large' );
$layout   	 = get_theme_mod('ova_sev_single_layout','layout_2l');
$show_title  = get_theme_mod('ova_sev_single_show_title','yes');

$title    	 = get_the_title();

?>

<div class="row_site">
	<div class="container_site">

		<div class="service_single service_single_<?php echo esc_attr( $layout );?>">
			
			<div class="content" id="main-content">
                
                <?php if ( !empty( $avatar ) ) : ?>
			        <img src="<?php echo esc_url( $avatar ) ?>" class="img-responsive service-img" alt="<?php the_title() ?>">
			    <?php endif; ?>

	            <?php if ( ( !empty( $title ) ) && ( $show_title === 'yes' ) ) : ?>
			        <h2 class="service-title">
			        	<?php echo esc_html( $title ) ; ?>
			        </h2>
			    <?php endif; ?>
				
				<?php if( have_posts() ) : while( have_posts() ) : the_post();
					the_content();
		 		endwhile; endif; wp_reset_postdata(); ?>
		 		
			</div>

            <?php if( $layout !== 'layout_1c') : ?>
				<div class="sidebar" id="sidebar">

					<div class="widgets">
						<?php if(is_active_sidebar('service-sidebar')){
						        dynamic_sidebar('service-sidebar');
						} ?>
					</div>

				</div>
			<?php endif; ?>
			
		</div>
		<!-- end ova_sev_single -->
	</div>
	<!-- end row -->
</div>
<!-- end container -->

<?php get_footer( );
